Jump to content
  • Announcements

    • Allan

      Forum Rules   04/13/2018

      Hello folks! As some things are being fixed, we'll keep you updated. Per hour the Forum Rules don't have a dedicated "Tab", so here is the place that we have our Rules back. New Users Lounge > [READ] - InsanelyMac Forum Rules - The InsanelyMac Staff Team. 
Lanceomni

*Updated 11/12* DMG mounting issues & Sandbox.kext/Seatbelt.kext

168 posts in this topic

Recommended Posts

This is working great. Thanks BUT one problem.

 

My installer Application is freezing! I can mount all DMG's fine but if I try a run any ".pkg" files it starts up freezes and all I see is the small spinning wheel.

 

I have to force installer QUIT to get rid of it. This effects all PKG files I tried. Even iLife .

 

Anyone seeing this?

Share this post


Link to post
Share on other sites

Everything is running ok on my system so far, dmgs are mounting correctly but I have a question.

 

When my system boots in verbose I have this line:

 

warning: skipping personalities in blacklisted kext com.apple.Dont_Steal_Mac_OS_X

 

Should I be worried about this? How can I fix this if so. Is this related to a seatbelt.kext issue?

Share this post


Link to post
Share on other sites

Hello pals, I'v installed iDeneb v1.4 10.5.6 on my PC.

I have Gigabytes GA-G31M-S2L MotherBoard

I'm totally new to MAC but then i still managed to install it properly n sound is also working fine

 

whats not workin is video and I'm not able to install any MAC applications (.DMG file)

it gets downloaded but it says some mounting problem and then it asks me to restart the PC ;)

i tried the above procedure but as I'm new i'm little lost.. so guys please help me

 

i need to download and install applications on my PC

 

what will i have to do?

 

please gimme the step-by-step instructions

 

my kernel version seems to be :: Darwin Kernel Version 9.2.2

 

as i get this after typing the command "uname -a" at terminal ::

 

g31m-s2l.local 9.2.2 Darwin Kernel Version 9.2.2: Tue Mar 4 21:17:34 PST 2008; root:xnu-1228.4.31~1/RELEASE_I386 i386

 

 

 

 

pleaseeeeeee help guys :)

 

thanks in advance...

Share this post


Link to post
Share on other sites

Look to me this thread may almost be dead, though stickied for reference...but..

 

I'm also having a DMG Issue. But I don't get kernel panics

 

In fact I don't even get an error message at all. Nothing happens. The icons for the DMG files just look like the generic white piece of paper icon. This started when I used the Zeph tool to update to 10.5.7.. I couldnt mount DMGs without getting an error message and USB drives failed to mount. I dont remember what I did after that as my computer was out for a few months due to HW failure. I started working on this error again but I cant fix! I've used pacifist to install different version of the DiskImageMounter (as it has a blank icon as well) Ive installed different kernels (last official Voodoo, the unsupported versions too), tried all seatbelt kexts..Nothing changes. I finally installed 10.5.8 iDeneb and still nothing changed. I'm at a loss on what to do. The only way I've gotten it to actually give me an Error is by installing an older DiskImageMounter from 10.5.6 Disk. I believe its actual version is 10.5.4. EVerything after (even 10.5.8) is version 10.5.5

 

any ideas?

Share this post


Link to post
Share on other sites
Everything is running ok on my system so far, dmgs are mounting correctly but I have a question.

 

When my system boots in verbose I have this line:

 

warning: skipping personalities in blacklisted kext com.apple.Dont_Steal_Mac_OS_X

 

Should I be worried about this? How can I fix this if so. Is this related to a seatbelt.kext issue?

 

 

No. The voodoo kernel blacklists certain files. This is well documented in the Voodoo Manual. You can also use the flag blacklist=0 to keep these files from being ignored. I would suggest not doing so. You will understand after reading the manual. BTW sorry for the late response.

 

Look to me this thread may almost be dead, though stickied for reference...but..

 

I'm also having a DMG Issue. But I don't get kernel panics

 

In fact I don't even get an error message at all. Nothing happens. The icons for the DMG files just look like the generic white piece of paper icon. This started when I used the Zeph tool to update to 10.5.7.. I couldnt mount DMGs without getting an error message and USB drives failed to mount. I dont remember what I did after that as my computer was out for a few months due to HW failure. I started working on this error again but I cant fix! I've used pacifist to install different version of the DiskImageMounter (as it has a blank icon as well) Ive installed different kernels (last official Voodoo, the unsupported versions too), tried all seatbelt kexts..Nothing changes. I finally installed 10.5.8 iDeneb and still nothing changed. I'm at a loss on what to do. The only way I've gotten it to actually give me an Error is by installing an older DiskImageMounter from 10.5.6 Disk. I believe its actual version is 10.5.4. EVerything after (even 10.5.8) is version 10.5.5

 

any ideas?

 

Not too sure on this. This thread mainly deals with issues where certain kexts depend on a specific kernel version to run properly.

 

I would suggest doing a little research on using the EFI partition for your hacks/mods and leaving your system running a clean retail install. This allows you to safely use Software Update and even do complete system reinstall while leaving your hacks in place.

Share this post


Link to post
Share on other sites

Hello friends!

 

I have a very serious problem with seatbelt.kext. I cant unmount .dmg files with diskimage mounter. . I use Ideneb 10.5.8 . I did download my versions seatbelt.kext and installed with your steps but again my .dmg mounter doesn`t work. When I try to open my seatbelt.kext`s version.plist it shows like this:

 

 

<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">

<plist version="1.0">

<dict>

<key>BuildVersion</key>

<string>78</string>

<key>CFBundleShortVersionString</key>

<string>107.12</string>

<key>CFBundleVersion</key>

<string>107.12</string>

<key>ProjectName</key>

<string>Seatbelt</string>

<key>SourceVersion</key>

<string>1071200</string>

</dict>

</plist>

 

 

When I type in terminal uname -a this is what I see:

 

 

Macintosh:~ bledixhafa$ uname -a

Darwin Macintosh.local 9.8.0 Darwin Kernel Version 9.8.0: Wed Jul 15 16:55:01 PDT 2009; root:xnu-1228.15.4~1/RELEASE_I386 i386

 

 

Can you help me please? I dont know what to do anymore. :rolleyes:

Share this post


Link to post
Share on other sites
Hello friends!

 

I have a very serious problem with seatbelt.kext. I cant unmount .dmg files with diskimage mounter. . I use Ideneb 10.5.8 . I did download my versions seatbelt.kext and installed with your steps but again my .dmg mounter doesn`t work. When I try to open my seatbelt.kext`s version.plist it shows like this:

 

 

<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">

<plist version="1.0">

<dict>

<key>BuildVersion</key>

<string>78</string>

<key>CFBundleShortVersionString</key>

<string>107.12</string>

<key>CFBundleVersion</key>

<string>107.12</string>

<key>ProjectName</key>

<string>Seatbelt</string>

<key>SourceVersion</key>

<string>1071200</string>

</dict>

</plist>

 

 

When I type in terminal uname -a this is what I see:

 

 

Macintosh:~ bledixhafa$ uname -a

Darwin Macintosh.local 9.8.0 Darwin Kernel Version 9.8.0: Wed Jul 15 16:55:01 PDT 2009; root:xnu-1228.15.4~1/RELEASE_I386 i386

 

 

Can you help me please? I dont know what to do anymore. :D

 

ALWAYS BACKUP YOUR SYSTEM BEFORE TINKERING

 

I have never experienced this issue before. The issue described in this thread deals with dependencies and having the corresponding properly matched files.

 

It looks looks like you have the proper Seatbelt in the proper place for the kernel you are running. Lets check to see if your system is running this extension.

1. Go to System Profiler and select Software/Extensions from the left pane.

2. Look for Seatbelt and check the version. It should be 107.12

 

If not or even if it does match lets go ahead and remove the Extensions Cache

1. Open Terminal and type:

sudo su

 

2. Remove the extensions cache file. (Watch your spelling here):

rm -Rf /System/Library/Extensions.mkext

 

3. Restart using the flags -v -f

Share this post


Link to post
Share on other sites

I did whatever you told me to do. And my seatbelt.kext version is 107.12. Here is the printscreen of System Profiler:

post-408058-1279552608_thumb.png

 

 

 

I removed the extensions cache file and rebooted the system and it looked lise this : post-408058-1279552788_thumb.jpg

 

And yet again my dmg doesnt work. :P

 

Thanks again in advance Lanceomni!

 

Regards

Share this post


Link to post
Share on other sites

hello people,

 

i have followed the instructions but with no luck. i have iaktos v7 10.5.7 and kernel 9.7.0 and installed seatbelt for 10.5.7 but the issue is not fixed.. any ideas how to solve this? thanx in advance!

Share this post


Link to post
Share on other sites
hello people,

 

i have followed the instructions but with no luck. i have iaktos v7 10.5.7 and kernel 9.7.0 and installed seatbelt for 10.5.7 but the issue is not fixed.. any ideas how to solve this? thanx in advance!

 

 

Can you describe the problem that you are having? You are getting kernel panics after attempting to mount a DMV correct?

 

Open terminal and type:

uname -a

 

Tell me what it returns

Share this post


Link to post
Share on other sites

Hi,

 

I get a kernel painc each time I try and mount a DMG.

 

I checked which version kernel I have : 9.5.0

 

I have tried replacing the seatbelt.kext as instraucted in this post, but this has had no sucsess.

 

I have attached a photo of my Kernel Panic which I hope you might be able to advise me on. (1.8Mb size)

 

I can open the .dmg in Disk Utility and convert them to .cdr, then they will mount and open.

 

Any help welcomed.

 

Thanks,

 

Barry.

post-577544-1287329207_thumb.jpg

Share this post


Link to post
Share on other sites

Hi

 

I'm new to osx86 :-)

 

I've got ideneb 1.6 Lite (10.5.8) installed with voodoo 9.8 kernel and keep getting panics mounting dmgs, I'm pretty certain the seatbelt is out of line with the kernerl / system.kext

 

I have already tried the seatbelt.kext for 10.5.8 from the first post as i thought that would be right, followed all the steps

 

 

I think the seatbelt looks like 10.5.7 still though....

 

Seatbelt.kext plist

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
<key>BuildVersion</key>
<string>14</string>
<key>CFBundleShortVersionString</key>
<string>107.10</string>
<key>CFBundleVersion</key>
<string>107.10</string>
<key>ProjectName</key>
<string>Seatbelt</string>
<key>SourceVersion</key>
<string>1071100</string>
</dict>
</plist>

 

System.kext Plist

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
<key>BuildVersion</key>
<string>1</string>
<key>CFBundleShortVersionString</key>
<string>9.8.0</string>
<key>CFBundleVersion</key>
<string>9.8.0</string>
<key>ProjectName</key>
<string>xnu</string>
<key>SourceVersion</key>
<string>12281504</string>
</dict>
</plist>

 

 

Uname -a result

Darwin damians-Mac.local 9.8.0 Darwin Kernel Version 9.8.0: Tue Aug 11 12:57:32 AST 2009; Based on Voodoo :xnu-1228.15.4/BUILD/obj/RELEASE_I386 i386

 

 

I'm going to try another seatbelt but could someone confirm I've got the versions aligned

 

PC is a Dell Optiplex 210L, P4 3ghz cpu (I have disabled hyper threading - caused kernel panic)

 

Thanks

 

 

-- scratch that - worked fine with seatbelt.kext with the following plist

 

 

<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">

<plist version="1.0">

<dict>

<key>BuildVersion</key>

<string>78</string>

<key>CFBundleShortVersionString</key>

<string>107.12</string>

<key>CFBundleVersion</key>

<string>107.12</string>

<key>ProjectName</key>

<string>Seatbelt</string>

<key>SourceVersion</key>

<string>1071200</string>

</dict>

</plist>

 

 

found in this thread

 

http://www.insanelymac.com/forum/index.php...29#entry1497792

 

Thanks to this topic I fixed it!

Share this post


Link to post
Share on other sites

I am not sure if anyone is still having the kernel/sandbox DMG mounting issues but I noticed that my links were dead and needed updating.

 

Feedback is welcome. See first post in this thread.

Share this post


Link to post
Share on other sites

I have iDeneb 10.5.8 & Voodoo 9.5... and if i mount a DMG i get the error in the first post :'(

 

I tried using the 10.5.5 seatbelt.kext, followed your instructions, and NOTHING happened. My pc crashed again when i opened a DMG.

 

So do I need to upgrade to voodoo 9.8 and use the 10.5.8 seatbelt.kext... and where do I get voodoo 9.8 anyways (its not on their site)? Or can I just install the 10.5.8 kext?

 

I'm quite confused... pls reply!

 

See here.......:)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now


  • Recently Browsing   0 members

    No registered users viewing this page.

×